public class MediaDevice {
	final Publish publish = new Publish();
	int volume = 32;
	int play = 0;
	
	public MediaDevice() {
		publish.addPublishProperty(new DeviceProperty("category", "Media"));
		publish.addPublishProperty(new DeviceProperty("room", "Default"));
		publish.publish("Media Player");
		publish.addSnmpProperty(new Volume());
		publish.addSnmpProperty(new Play());
	}
	class Volume extends DeviceProperty {
		public Volume() {
			setName("volume");
		}
		public String getValue() { return Integer.toString(volume); }
		public void setValue(String value) {
			volume = Integer.parseInt(value);
			try {
			Runtime.getRuntime().exec("amixer -c 0 sset Master " + volume);
			} catch (java.io.IOException ex) {
				throw new RuntimeException(ex);
			}
		}
	}
	class Play extends DeviceProperty {
		public Play() {
			setName("play");
		}
		public String getValue() { return Integer.toString(play); }
		public void setValue(String value) {
			play = Integer.parseInt(value);
			try {
			if (play == 0)
				Runtime.getRuntime().exec("totem --pause");
			else
				Runtime.getRuntime().exec("totem --play");
			} catch (java.io.IOException ex) {
				throw new RuntimeException(ex);
			}
		}
	}
	public void disconnect() {
		publish.disconnect();
	}
	public static void main(String [] args)
	{
		MediaDevice device = new MediaDevice();
		System.out.println("Press enter to stop...");
		try {
			System.in.read();
		} catch (java.io.IOException ex) { throw new RuntimeException(ex); }
		device.disconnect();
	}
}
