import javax.swing.JFrame;

public class MicrowaveDevice extends Microwave {
	final Publish publish = new Publish();
	
	public MicrowaveDevice() {
		publish.addPublishProperty(new DeviceProperty("category", "Cooking"));
		publish.addPublishProperty(new DeviceProperty("room", "Kitchen"));
		publish.publish("Microwave");
		publish.addSnmpProperty(new Time());
	}
	class Time extends DeviceProperty {
		public Time() {
			setName("time");
		}
		public String getValue() { return Integer.toString(getTime()); }
		public void setValue(String value) { setTime(Integer.parseInt(value)); }
	}
	public void disconnect() {
		publish.disconnect();
	}
	public static void main(String [] args)
	{
		JFrame jf = new JFrame();
		Microwave mpanel = new MicrowaveDevice();
		jf.getContentPane().add(mpanel);
		jf.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		jf.setSize(400, 300);
		jf.setTitle("Microwave");
		jf.setVisible(true);
		
		mpanel.setTime(5);
	}
}
