package org.ersoft.ooad.hacs;

import java.util.EventObject;

public class DeviceEvent extends EventObject {
	public final static int DEVICE_ADDED = 1;
	public final static int DEVICE_REMOVED = 2;
	public final static int METADATA_CHANGED = 3;
	public final static int PROPERTY_CHANGED = 4;
	public final static int NOTIFICATION_UNICAST = 5;
	public final static int NOTIFICATION_BROADCAST = 6;
	final int type;
	final Object changed;

	public DeviceEvent(Object source, int type) {
		this(source, type, null);
	}
	public DeviceEvent(Object source, int type, Object changed) {
		super(source);
		this.type = type;
		this.changed = changed;
	}
	public int getType() { return type; }
	public Object getChanged() { return changed; }
}
