package org.freedesktop.Avahi;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.exceptions.DBusException;
public interface DomainBrowser extends DBusInterface
{
   public static class ItemNew extends DBusSignal
   {
      public final int iinterface;
      public final int protocol;
      public final String domain;
      public final UInt32 flags;
      public ItemNew(String path, int iinterface, int protocol, String domain, UInt32 flags) throws DBusException
      {
         super(path, iinterface, protocol, domain, flags);
         this.iinterface = iinterface;
         this.protocol = protocol;
         this.domain = domain;
         this.flags = flags;
      }
   }
   public static class ItemRemove extends DBusSignal
   {
      public final int iinterface;
      public final int protocol;
      public final String domain;
      public final UInt32 flags;
      public ItemRemove(String path, int iinterface, int protocol, String domain, UInt32 flags) throws DBusException
      {
         super(path, iinterface, protocol, domain, flags);
         this.iinterface = iinterface;
         this.protocol = protocol;
         this.domain = domain;
         this.flags = flags;
      }
   }
   public static class Failure extends DBusSignal
   {
      public final String error;
      public Failure(String path, String error) throws DBusException
      {
         super(path, error);
         this.error = error;
      }
   }
   public static class AllForNow extends DBusSignal
   {
      public AllForNow(String path) throws DBusException
      {
         super(path);
      }
   }
   public static class CacheExhausted extends DBusSignal
   {
      public CacheExhausted(String path) throws DBusException
      {
         super(path);
      }
   }

  public void Free();

}
